Botan: Botan::Cert_Extension::Authority_Key_ID Class Reference

Botan 1.10.16

Public Member Functions | List of all members
Botan::Cert_Extension::Authority_Key_ID Class Reference

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Authority_Key_ID:

## Public Member Functions
| Authority_Key_ID ()
| Authority_Key_ID (const MemoryRegion< byte > &k)
Authority_Key_ID * | copy () const
MemoryVector< byte > | get_key_id () const
OID | oid_of () const

## Detailed Description

Authority Key Identifier Extension

Definition at line 168 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ Authority_Key_ID() [1/2]

Botan::Cert_Extension::Authority_Key_ID::Authority_Key_ID | ( |  | ) |
| inline

Definition at line 173 of file x509_ext.h.

173 {}

## ◆ Authority_Key_ID() [2/2]

Botan::Cert_Extension::Authority_Key_ID::Authority_Key_ID | ( | const MemoryRegion< byte > & | k | ) |
| inline

Definition at line 174 of file x509_ext.h.

174 : key_id(k) {}

## Member Function Documentation

## ◆ copy()

Authority_Key_ID* Botan::Cert_Extension::Authority_Key_ID::copy | ( |  | ) | const
| inlinevirtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 171 of file x509_ext.h.

171 { return new Authority_Key_ID(key_id); }
Botan::Cert_Extension::Authority_Key_ID::Authority_Key_ID
Authority_Key_ID()
Definition: x509_ext.h:173

## ◆ get_key_id()

MemoryVector<byte> Botan::Cert_Extension::Authority_Key_ID::get_key_id | ( |  | ) | const
| inline

Definition at line 176 of file x509_ext.h.

176 { return key_id; }

## ◆ oid_of()

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| inherited

Returns
  OID representing this extension

Definition at line 72 of file x509_ext.cpp.

References Botan::OIDS::lookup().

Referenced by Botan::Extensions::encode_into().

73 {
74 return OIDS::lookup(oid_name());
75 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:31

The documentation for this class was generated from the following files:

- src/cert/x509cert/x509_ext.h
- src/cert/x509cert/x509_ext.cpp